Update a template
PATCH
/v1/templates/{id}
const url = 'https://shareout.site/v1/templates/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","subject":"example","html":"example","text_body":"example","variables":[{"name":"example","type":"string","required":false,"default":"example","description":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/templates/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "subject": "example", "html": "example", "text_body": "example", "variables": [ { "name": "example", "type": "string", "required": false, "default": "example", "description": "example" } ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string
subject
string
html
string
text_body
string
variables
Array<object>
object
name
required
Accessed via {{data.name}}.
string
type
required
string
required
boolean
default
description
string
Responses
Section titled “ Responses ”Updated